<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getScriptIncome](./bitburner.ns.getscriptincome.md)

## NS.getScriptIncome() method

Get the income of a script.

**Signature:**

```typescript
getScriptIncome(script: string, host: string, ...args: (string | number | boolean)[]): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  script | string | Filename of script. |
|  host | string | Server on which script is running. |
|  args | (string \| number \| boolean)\[\] | Arguments that the script is running with. |

**Returns:**

number

Amount of income the specified script generates while online.

## Remarks

RAM cost: 0.1 GB

Returns the amount of income the specified script generates while online (when the game is open, does not apply for offline income). Remember that a script is uniquely identified by both its name and its arguments. So for example if you ran a script with the arguments “foodnstuff” and “5” then in order to use this function to get that script’s income you must specify those same arguments in the same order in this function call.

